(defproject ldview "2"
  :url "http://ldview.arg-games.com/"
  :description "An alternative Ludum Dare entries viewer"
  :min-lein-version "2.0.0"

  :dependencies [[org.clojure/clojure "1.5.1"]
                 [lib-noir "0.8.2"]
                 [compojure "1.1.6"]
                 [ring-server "0.3.1"]
                 [com.taoensso/timbre "3.1.6"]
                 [com.postspectacular/rotor "0.1.0"]
                 [com.taoensso/tower "2.1.0-RC1"]
                 [log4j "1.2.17" :exclusions [javax.mail/mail
                                              javax.jms/jms
                                              com.sun.jdmk/jmxtools
                                              com.sun.jmx/jmxri]]
                 [sqlitejdbc "0.5.6"]
                 [korma "0.3.0-RC6"]
                 [clj-http "0.9.1"]
                 [image-resizer "0.1.6"]
                 [enlive "1.1.5"]
                 [me.raynes/fs "1.4.5"]]

  :main ldview.core
  :plugins [[lein-ring "0.8.10"]]
  :ring {:handler ldview.handler/app
         :init    ldview.handler/init
         :destroy ldview.handler/destroy
         :open-browser? false}

  :aliases {"start-over" ["run" "-m" "ldview.tasks.runner/reset-all!"]
            "fetch-competition" ["run" "-m" "ldview.tasks.runner/load-competition" "28"]}

  :profiles {:production {:ring {:stacktraces? false}}
             :dev {:ring {:auto-reload? true
                          :auto-refresh? true}
                   :dependencies [[ring-mock "0.1.5"]
                                  [ring/ring-devel "1.2.0"]]}})
