(ns ldview.models.competition
  (:require [korma.core :refer :all]
            [ldview.db :refer :all]))

(defn latest []
  (first (select competitions
          (order :number :DESC)
          (limit 1))))

(defn exists? [number]
  (not (empty? (select competitions
                       (fields :id)
                       (where {:number number})))))

(defn create! [number motto]
  (if-not (exists? number)
    (insert competitions (values {:number number
                                  :motto motto}))))
